%global srcname cson

Name:           python-%{srcname}
Version:        0.7
Release:        1%{?dist}
Summary:        A Coffescript Object Notation (CSON) parser for Python 2 and Python 3
License:        MIT
URL:            https://github.com/avakar/pycson
Source0:        https://github.com/avakar/pycson/archive/0.7.tar.gz
BuildArch:      noarch

%description
A python parser for the Coffeescript Object Notation (CSON).

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel, python2-speg
Requires:       python2-speg
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A python parser for the Coffeescript Object Notation (CSON).

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel, python3-speg
Requires:       python3-speg
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A python parser for the Coffeescript Object Notation (CSON).

%prep
%autosetup -n pycson-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{srcname}-*.egg-info/
%{python2_sitelib}/%{srcname}/

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Wed Jan  2 2019 Tom Callaway <spot@fedoraproject.org> - 0.7-1
- new package
